import collections
from pymongo import MongoClient
from dotenv import load_dotenv
from os import getenv
import xxhash
import getpass

load_dotenv()
client=MongoClient(getenv("MONGO"))
db = client.get_database(getenv("DB"))

def add_user():
    username = input('username ? ')
    password = getpass.getpass('password ? ')
    pass_retry = getpass.getpass('Re-type your password ? ')
    if password != pass_retry:
        print("not correct password.")
        add_user()
    hashed_pass = xxhash.xxh64(password, 5).hexdigest()
    collection  = db["users"]
    print(f"username: {username}, password: {hashed_pass}")
    collection.update_one({ "name": username}, { "$set": {"pass": hashed_pass}})
    
add_user()